Skip to content

Integrations (REST)

Manage connections to third-party systems via Unified.to and retrieve data. Base path: /v1/integrations · Auth: Bearer

MethodPathPurpose
GET/v1/integrationsAvailable integrations (Unified.to)
GET/v1/integrations/connectionsYour active connections
POST/v1/integrations/connectStart the connection flow
POST/v1/integrations/callbackFinalize the connection after OAuth
GET/v1/integrations/connections/{connectionId}Retrieve a connection
DELETE/v1/integrations/connections/{connectionId}Remove a connection
GET/v1/integrations/{connectionId}/{category}/{objectType}Retrieve data
POST/v1/integrations/{connectionId}/passthroughRaw API call to the third-party system

Categories

category is one of: crm, ticketing, calendar, messaging, storage, task, ats, accounting, ecommerce, hr, enrichment, marketing.

Body — start a connection (POST /v1/integrations/connect)

FieldTypeRequiredDescription
integration_typestringProvider (e.g. hubspot, salesforce)
categoriesstring[] (from Categories, min. 1)Categories to activate
redirect_urlstring (URI)Redirect after authorization
external_xrefstringExternal reference ID
scopesstring[]Optional scopes

Response: { url, connection_id } — send the user to url, then finalize with connection_id:

Body — finalize (POST /v1/integrations/callback)

FieldTypeRequired
connection_idstring

Retrieve data (GET /v1/integrations/{connectionId}/{category}/{objectType})

{objectType} e.g. contact, company, deal, ticket, event, file. Query: limit (1–100, default 50), offset, query, updated_gte (ISO).

bash
curl "https://api.eu.liza.app/api/v1/integrations/CONN_ID/crm/contact?limit=20&query=acme" \
  -H "Authorization: Bearer DEIN_TOKEN"

Passthrough (POST /v1/integrations/{connectionId}/passthrough)

FieldTypeRequiredDescription
methodenum GET|POST|PUT|PATCH|DELETEHTTP method
pathstringPath on the third-party system
dataobject | nullBody/query

For anything the generic endpoints don't cover:

bash
curl -X POST https://api.eu.liza.app/api/v1/integrations/CONN_ID/passthrough \
  -H "Authorization: Bearer DEIN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"method":"GET","path":"/crm/contacts","data":{}}'

Liza Documentation